
:root {

        --text: white;
        --hover-text: white;
        --heavy-accent: #202020;
        --light-accent: #505050;
        --bg-main: black;
	--bg-headertext: #101010e0;
	--bg-textdiv: #101010;
	--frame-textdiv: white;
        --bg-repo: black;
        --bg-user: black;
	--navbar-border-color: black;
	--navlink-border-color: white;
	--navlink-font-size: 30px;
	--h1-font-size: 3vw;
	--h2-font-size: 2.5vw;
	--h3-font-size: 2.2vw;
	--body-text-font-size: 2vw;
	--navbar-float: left; 
	--navbar-text-align: block; 
	--body-paragraph-width: 50%;
	--body-paragraph-margin-top: 2%;
	--media-width:95%;
	--media-margin-top: 2%;
	--row-gap: 50%;
}

@media (prefers-color-scheme: light) {
    :root {
        --text: black;
        --hover-text: black;
        --heavy-accent: #d0d0d0;
        --light-accent: #e0e0e0;
        --bg-main: white;
	--bg-headertext: #e0e0e0e0;
	--bg-textdiv: #e0e0e0;
	--frame-textdiv: black;
        --bg-repo: white;
        --bg-user: white;
	--navbar-border-color: white;
	--navlink-border-color: black;

    }
}

@media (prefers-color-scheme: dark) {
    :root {
        --text: white;
        --hover-text: white;
        --heavy-accent: #202020;
        --light-accent: #505050;
        --bg-main: black;
	--bg-headertext: #101010e0;
	--bg-textdiv: #101010;
	--frame-textdiv: white;
        --bg-repo: black;
        --bg-user: black;
	--navbar-border-color: black;
	--navlink-border-color: white;
    }
}

@media (max-device-width: 800px) or (max-width: 800px) {
    :root {
	--navlink-font-size: 4vw;
	--body-text-font-size: 3vw;
	--h1-font-size: 4vw;
	--h2-font-size: 3.5vw;
	--h3-font-size: 3.2vw;
	--navbar-float: left; 
	--navbar-text-align: block; 
        --light-accent: #505050e0;
	--body-paragraph-width: 80%;
	--body-paragraph-margin-top: 1.5%;
	--row-gap: 70%;
    }
}

@media (max-device-width: 600px) or (max-width: 600px){
    :root {
	--navlink-font-size: 5vw;
	--body-text-font-size: 4vw;
	--h1-font-size: 5vw;
	--h2-font-size: 4.5vw;
	--h3-font-size: 4.2vw;
	--navbar-float: left; 
	--navbar-text-align: block; 
        --light-accent: #505050a0;
	--body-paragraph-width: 95%;
	--body-paragraph-margin-top: 1%;
	--row-gap: 80%;
    }
}

@media (max-device-width: 400px) or (max-width: 400px){
    :root {
	--navlink-font-size: 6vw;
	--body-text-font-size: 5vw;
	--h1-font-size: 6vw;
	--h2-font-size: 5.5vw;
	--h3-font-size: 5.2vw;
	--navbar-float: left; 
	--navbar-text-align: block; 
        --light-accent: #505050a0;
	--body-paragraph-width: 95%;
	--body-paragraph-margin-top: 1%;
	--row-gap: 200%;
    }
}

body .header{
  font-family: "Courier New", "Monaco","Helvetica","Papyrus";
  color: white;
  background-repeat:no-repeat;
  background-size:contain;
  background-position:center;
}

body .content{
  text-align: center;
  font-family: "Courier New", "Monaco","Helvetica","Papyrus";
  color: white;
}

body {
  background-color: var(--bg-main);
  font-family: "Courier New", "Monaco","Helvetica","Papyrus";
  color: var(--text);
  font-size:1vw;
}

.navbar a {
  display: block;
  color: var(--text);
  text-align: center;
  padding: 14px;
  text-decoration: none;
  border-radius: 5px;
}

.header-text {
	font-size: var(--navlink-font-size);
	background-color: var(--bg-headertext);
	border-style: solid;
	padding: 0.5%;
	border-width: 5px;
}

.navbar ul {
  list-style-type: none;
  margin: auto;
  width:fit-content;
  padding: 0;
  overflow: hidden;
  background-color: var(--light-accent);
  border-color: var(--navbar-border-color);
	border-style: solid;
	border-width: 5px;
}


.navbar li a {
  display: block;
  font-size: var(--navlink-font-size);
  color: var(--text);
  text-align: center;
  padding: 14px 16px;
  text-decoration: none;
}

.navbar li {
	background-color: var(--light-accent);
	float: var(--navbar-float);
	margin: auto;
	border-color: var(--navlink-border-color);
	border-style: solid;
	border-width: 2px;
	
}

/* Change the color of links on mouse-over */
.navbar a:hover:not(.active) {
  background-color: var(--heavy-accent);
  color: var(--hover-text);
}

/* Add a color to the active/current link */
.navbar a.active {
  background-color: var(--heavy-accent);
  color: var(--text);
}

.navbar a.title {
  background-color: var(--heavy-accent);
  color: var(--text);
  border-style: none;
}

.mediabar {
  list-style-type: none;
  padding: 0;
  overflow: hidden;
  border-style: none;
  display: grid;
  grid-template-columns: 10fr 1fr 1fr 1fr;
}

.mediabar a {
  font-size: var(--navlink-font-size);
  color: var(--text);
  text-align: start;
  padding: 4px 10px;
  text-decoration: none;
}

.mediabar a.nontitle {
	float: var(--navbar-float);
	margin: 5px;
	border-color: var(--navlink-border-color);
	border-style: solid;
	border-width: 2px;
	justify-self: right;
	
}

.mediabar li a.title {
	float: var(--navbar-float);
	margin: 5px;
	border-style: none;
	justify-self: left;
	
}


.mediabar a:hover:not(.active) {
  background-color: var(--frame-textdiv);
  color: var(--bg-textdiv);
}

/* Add a color to the active/current link */
.navbar a.active {
  background-color: var(--heavy-accent);
  color: var(--text);
}

.mediabar li {
	float: var(--navbar-float);
	margin: auto;
	border-style: none;
	
}


.help-me {
  list-style-type: none;
  padding: 0;
  border-style: none;
  display: grid;
  grid-template-columns: 1fr 1fr 4fr 1fr 1fr;
  grid-template-areas:
  "a existence nothingness somethingness b"
  "c valued worthless loved d";
  row-gap: var(--row-gap);
}

.help-me a {
  background-color: var(--heavy-accent);
  font-size: var(--h1-font-size);
  color: var(--text);
  text-align: start;
  padding: 4px 10px;
  text-decoration: none;
}

.help-me a.existence {
	grid-area: existence;
	margin: 5px;
	border-color: var(--navlink-border-color);
	border-style: solid;
	border-width: 2px;
	
}

.help-me a.somethingness {
	grid-area: somethingness;
	margin: 5px;
	border-color: var(--navlink-border-color);
	border-style: solid;
	border-width: 2px;
	
}

.help-me a.valued {
	grid-area: valued;
	margin: 5px;
	border-color: var(--navlink-border-color);
	border-style: solid;
	border-width: 2px;
	
}

.help-me a.loved {
	grid-area: loved;
	margin: 5px;
	border-color: var(--navlink-border-color);
	border-style: solid;
	border-width: 2px;
	
}

.help-me li a.title {
	float: var(--help-me-float);
	margin: 5px;
	border-style: none;
	justify-self: left;
	
}


.help-me a:hover:not(.active) {
  background-color: var(--frame-textdiv);
  color: var(--bg-textdiv);
}

/* Add a color to the active/current link */
.help-me a.active {
  background-color: var(--heavy-accent);
  color: var(--text);
}

.content-fit-base {
	width: fit-content;
  background-color: var(--bg-textdiv);
  border-color: var(--frame-textdiv);
  border-style: solid;
  border-width: 5px;
  padding: 0.5%;
  text-align: center;
  margin: auto;
  margin-top: var(--body-paragraph-margin-top);
}

.body-paragraph {
  background-color: var(--bg-textdiv);
  border-color: var(--frame-textdiv);
  border-style: solid;
  border-width: 5px;
  padding: 0.5%;
  width: var(--body-paragraph-width);
  text-align: center;
  margin: auto;
  margin-top: var(--body-paragraph-margin-top);
}

.media-div{
  background-color: var(--bg-textdiv);
  border-color: var(--frame-textdiv);
  border-style: solid;
  border-width: 5px;
  padding: 0.5%;
  width: var(--media-width);
  text-align: center;
  margin: auto;
  margin-top: var(--media-margin-top);
}

.poem {
	display: flex;
	justify-content: space-between;
}

h1, h2, a, p {
	color: var(--text);
}
h1 {
	font-size: var(--h1-font-size);
	text-align: center;
}
h2 {
	font-size: var(--h2-font-size);
	text-align: center;
}
h3 {
	font-size: var(--h3-font-size);
	text-align: center;
}
p, a, li {
	font-size: var(--body-text-font-size);
}
ul {
	width: 100%;
}

img {
	max-width: 100%;
}
audio {
	width: 100%;
	max-width: 100%;
}
video {
	/*
	width: 100%;
	*/
	max-width: 100%;
}

.contained-media{
	object-fit: contain;
}


.row {
  display: flex;
  flex-wrap: wrap;
  padding: 0 4px;
}

/* Create four equal columns that sits next to each other */
.column {
  flex: 25%;
  max-width: 25%;
  padding: 0 4px;
}

/* Responsive layout - makes a two column-layout instead of four columns */
@media screen and (max-width: 800px) {
  .column {
    flex: 50%;
    max-width: 50%;
  }
}

/* Responsive layout - makes the two columns stack on top of each other instead of next to each other */
@media screen and (max-width: 600px) {
  .column {
    flex: 100%;
    max-width: 100%;
  }

.container {
	width: 100%;
}

.overlay {
	position: absolute;
	top: 9.7%;
	left: 0;
	opacity: 0;
	transition: .5s ease;
}

.column:hover .overlay {
  opacity: 0.5;
}

